function dxdt=p704af(t,x);
dxdt=zeros(5,1);
D1=x(1);
D2=x(2);
D3=x(3);
CAS=x(4);
CDS=x(5);
kL1=2*0.6/D1;
kL2=2*0.6/D2;
kL3=2*0.6/D3;
SA=1.0;
rho=1414.7;
SD=0.4;
V=1200;
if(D1>0.3)
   SW1=1;
else
   SW1=0;
end
if(D2>0.3)
   SW2=1;
else
   SW2=0;
end
if(D3>0.3)
   SW3=1;
else
   SW3=0;
end
tau=240;
if(D1>0.3)
   dxdt(1)=-2*kL1*(SA-CAS)/rho;
elseif(D1>1e-6)
   dxdt(1)=-2*kL1*(SD-CDS)/rho;
else
   dxdt(1)=0;
end
if(D2>0.3)
   dxdt(2)=-2*kL2*(SA-CAS)/rho;
elseif(D2>1e-6)
   dxdt(2)=-2*kL2*(SD-CDS)/rho;
else
   dxdt(2)=0;
end
if(D3>0.3)
   dxdt(3)=-2*kL3*(SA-CAS)/rho;
elseif(D3>1e-6)
   dxdt(3)=-2*kL3*(SD-CDS)/rho;
else
   dxdt(3)=0;
end
dxdt(4)=1/V*(SW1*kL1*(SA-CAS)*pi*D1^2+SW2*kL2*(SA-CAS)*pi*D2^2+ ...
   SW3*kL3*(SA-CAS)*pi*D3^2)-CAS/tau;
dxdt(5)=1/V*((1-SW1)*kL1*(SD-CDS)*pi*D1^2+(1-SW2)*kL2*(SD-CDS)*pi*D2^2+ ...
   (1-SW3)*kL3*(SD-CDS)*pi*D3^2)-CDS/tau;
return


